{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.CurrentTask":{"type":"object","description":"Asynchronous operation currently running","properties":{"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"id":{"type":"string","description":"Identifier of the current task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the task details","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.CurrentTaskStatusEnum"}],"description":"Current global status of the current task","nullable":true,"readOnly":true},"type":{"type":"string","description":"Type of the current task","readOnly":true}}},"common.CurrentTaskStatusEnum":{"type":"string","description":"Current status of a task. A task in ERROR cannot be retried without your inputs. PENDING tasks will be executed as soon as possible. A RUNNING task is currently executing your original request. SCHEDULED is used for tasks that will be executed in the future.","enum":["ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"common.ResourceStatusEnum":{"type":"string","description":"Current status of a resource","enum":["CREATING","CREATION_PLANNED","DELETING","ERROR","OUT_OF_SYNC","READY","SUSPENDED","UNKNOWN","UPDATING"]},"common.TaskError":{"type":"object","description":"Errors that occurred on the task","properties":{"message":{"type":"string","description":"Error description","readOnly":true}}},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"},"zimbra.CName":{"type":"object","description":"Object representing a DNS CName entry","properties":{"name":{"type":"string","description":"Name of the CName entry on customer DNS","readOnly":true},"value":{"type":"string","description":"Value of the CName entry on customer DNS","readOnly":true}}},"zimbra.DKIMSelectors":{"type":"object","description":"Object representing a DKIM selector objet which is a CName entry","properties":{"cnames":{"type":"array","description":"List of CName to configure for DKIM","items":{"$ref":"#/components/schemas/zimbra.CName"},"readOnly":true}}},"zimbra.DNSOwnership":{"type":"object","description":"Object representing a DNS configuration that should be applied to verify ownership","properties":{"cname":{"type":"string","description":"Identifier on zone of domain for verification","nullable":true,"readOnly":true}}},"zimbra.DomainCurrentState":{"type":"object","description":"Object representing domain","properties":{"accountsStatistics":{"type":"array","description":"Statistics of accounts on the domain","items":{"$ref":"#/components/schemas/zimbra.OfferStatistics"},"readOnly":true},"createdAt":{"type":"string","description":"Date of creation","format":"date-time","readOnly":true},"expectedDNSConfig":{"allOf":[{"$ref":"#/components/schemas/zimbra.ExpectedDNSConfig"}],"description":"DNS configuration that should be applied","readOnly":true},"name":{"type":"string","description":"Name of the domain","readOnly":true},"organizationId":{"type":"string","description":"ID of the organization to which the domain belongs","format":"uuid","readOnly":true},"organizationLabel":{"type":"string","description":"Label of the organization to which the domain belongs","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/zimbra.DomainStatusEnum"}],"description":"Current domain status","readOnly":true},"updatedAt":{"type":"string","description":"Last update date","nullable":true,"format":"date-time","readOnly":true}}},"zimbra.DomainPostPayload":{"type":"object","description":"Object representing POST domain route payload","properties":{"targetSpec":{"allOf":[{"$ref":"#/components/schemas/zimbra.DomainPostTargetSpec"}],"description":"Target organization specification"}},"required":["targetSpec"]},"zimbra.DomainPostTargetSpec":{"type":"object","description":"Object representing POST domain payload","properties":{"autoConfigureAutodiscover":{"type":"boolean","description":"Whether to automatically configure autodiscover if the DNS zone is hosted by OVH"},"autoConfigureDKIM":{"type":"boolean","description":"Whether to automatically configure DKIM if the DNS zone is hosted by OVH. Even if false, will pre-configure (external and internal domain)."},"autoConfigureMX":{"type":"boolean","description":"Whether to automatically configure MX if the DNS zone is hosted by OVH"},"autoConfigureSPF":{"type":"boolean","description":"Whether to automatically configure SPF if the DNS zone is hosted by OVH"},"name":{"type":"string","description":"Name of the domain"},"organizationId":{"type":"string","description":"Organization in which domain is","format":"uuid"}},"required":["autoConfigureDKIM","autoConfigureMX","autoConfigureSPF","name","organizationId"]},"zimbra.DomainPutPayload":{"type":"object","description":"Object representing PUT domain route payload","properties":{"checksum":{"type":"string","description":"Known checksum of the resource, allowing to prevent unwanted side effects"},"targetSpec":{"allOf":[{"$ref":"#/components/schemas/zimbra.DomainPutTargetSpec"}],"description":"Target domain specification"}},"required":["targetSpec"]},"zimbra.DomainPutTargetSpec":{"type":"object","description":"target spec for PUT payload on domain","properties":{"dkimEnabled":{"type":"boolean","description":"Set to true to enable DKIM or false to disable"},"organizationId":{"type":"string","description":"ID of the organization to which the domain belongs","format":"uuid"},"validateOwnership":{"type":"boolean","description":"Set to true to start the domain ownership check, using the DNS record in `currentState.expectedDNSConfig.ownership`"}}},"zimbra.DomainResponse":{"type":"object","description":"Response for get Domain","properties":{"checksum":{"type":"string","description":"Checksum hash in MD5 representation","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/zimbra.DomainCurrentState"}],"description":"Object representing domain","readOnly":true},"currentTasks":{"type":"array","description":"An array containing tasks responses pending on resource extends AsyncResourceBase object","items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"id":{"type":"string","description":"Resource identifier in UUID representation","format":"uuid","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Current resource status","readOnly":true},"targetSpec":{"allOf":[{"$ref":"#/components/schemas/zimbra.DomainResponseTargetSpec"}],"description":"Object representing domain","readOnly":true}}},"zimbra.DomainResponseTargetSpec":{"type":"object","description":"Target spec property for domain responses","properties":{"dkimEnabled":{"type":"boolean","description":"Set to true to enable DKIM or false to disable","readOnly":true},"organizationId":{"type":"string","description":"ID of the organization to which the domain belongs","format":"uuid","readOnly":true}}},"zimbra.DomainStatusEnum":{"type":"string","description":"Current domain status","enum":["READY"]},"zimbra.ExpectedDNSConfig":{"type":"object","description":"Object representing a DNS configuration that should be applied","properties":{"autodiscover":{"type":"string","description":"Recommended autodiscover value","readOnly":true},"dkim":{"allOf":[{"$ref":"#/components/schemas/zimbra.DKIMSelectors"}],"description":"Recommended DKIM selectors","readOnly":true},"mx":{"type":"array","description":"Recommended MX records for efficient mail delivery","items":{"$ref":"#/components/schemas/zimbra.MXRecord"},"readOnly":true},"ownership":{"allOf":[{"$ref":"#/components/schemas/zimbra.DNSOwnership"}],"description":"DNS configuration to apply to verify ownership","readOnly":true},"spf":{"type":"string","description":"Recommended SPF value","readOnly":true}}},"zimbra.MXRecord":{"type":"object","description":"Object representing an MX record","properties":{"priority":{"type":"integer","description":"Priority for that target server","readOnly":true},"target":{"type":"string","description":"Target server","readOnly":true}}},"zimbra.OfferEnum":{"type":"string","description":"Commercial name of the offer","enum":["PRO","STARTER"]},"zimbra.OfferStatistics":{"type":"object","description":"Statistics per offer","properties":{"availableAccountsCount":{"type":"integer","description":"Total number of accounts on this offer that can be configured","readOnly":true},"configuredAccountsCount":{"type":"integer","description":"Number of accounts on the offer that are configured","readOnly":true},"offer":{"allOf":[{"$ref":"#/components/schemas/zimbra.OfferEnum"}],"description":"Commercial name of the offer","readOnly":true}}}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/zimbra/platform/{platformId}/domain":{"get":{"operationId":"getAllZimbraDomains","summary":"List domains","description":"Returns the domains of the platform with their current state. Filter them by `organizationId`, `organizationLabel` or `domainName`.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"domainName","description":"Filter by domain name","schema":{"type":"string"}},{"in":"query","name":"organizationId","description":"Filter by organization identifier","schema":{"type":"string","format":"uuid"}},{"in":"query","name":"organizationLabel","description":"Filter by organization label","schema":{"type":"string"}},{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/zimbra.DomainResponse"}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Domains@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/zimbra/platform/{platformId}/domain\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/zimbra/platform/{platformId}/domain\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/domain/get","required":true}],"x-response-identifier":"id","x-expanded-response":"ZimbraDomainResponse"},"post":{"operationId":"createZimbraDomain","summary":"Create a domain","description":"Adds a domain to an organization from its `name` and `organizationId`. When the DNS zone is hosted by OVHcloud, `autoConfigureMX`, `autoConfigureSPF`, `autoConfigureDKIM` and `autoConfigureAutodiscover` configure the matching records automatically. Creation is asynchronous: follow `resourceStatus` and `currentTasks`.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.DomainPostPayload"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.DomainResponse"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::InvalidDomainFormat":{"value":{"class":"Client::BadRequest::InvalidDomainFormat","message":"The domain format is invalid"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Domains@@@30"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: zimbra.DomainPostPayload\nresult = client.post(\"/v2/zimbra/platform/{platformId}/domain\",\n\ttargetSpec = None, # Target organization specification (type: zimbra.DomainPostTargetSpec)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: zimbra.DomainPostPayload\n$result = $ovh->post(\"/v2/zimbra/platform/{platformId}/domain\", array(\n\ttargetSpec => null, // Target organization specification (type: zimbra.DomainPostTargetSpec)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/domain/create","required":true}]}},"/zimbra/platform/{platformId}/domain/{domainId}":{"delete":{"operationId":"deleteZimbraDomain","summary":"Delete a domain","description":"Deletes the domain from its organization.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"domainId","description":"Domain ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation"}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Domains@@@40"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/zimbra/platform/{platformId}/domain/{domainId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/zimbra/platform/{platformId}/domain/{domainId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/domain/delete","required":true}]},"get":{"operationId":"getZimbraDomain","summary":"Get a domain","description":"Returns the domain, its organization, its account statistics per offer and the DNS configuration to apply: ownership, MX, SPF, DKIM and autodiscover.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"domainId","description":"Domain ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.DomainResponse"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::DomainNotFound":{"value":{"class":"Client::NotFound::DomainNotFound","message":"The domain was not found with the provided criteria"}},"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Domains@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/zimbra/platform/{platformId}/domain/{domainId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/zimbra/platform/{platformId}/domain/{domainId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/domain/get","required":true}],"x-response-identifier":"id"},"put":{"operationId":"editZimbraDomain","summary":"Update a domain","description":"Enables or disables DKIM with `dkimEnabled`, or moves the domain, with its email accounts, to another organization with `organizationId`. When set, `checksum` must match the current checksum of the domain, otherwise the update is rejected.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"domainId","description":"Domain ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.DomainPutPayload"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.DomainResponse"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::DomainNotFound":{"value":{"class":"Client::NotFound::DomainNotFound","message":"The domain was not found with the provided criteria"}},"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}}}}}},"412":{"description":"Error 412 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::PreconditionFailed::InvalidChecksum":{"value":{"class":"Client::PreconditionFailed::InvalidChecksum","message":"The checksum is invalid because the object has expired"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Domains@@@50"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: zimbra.DomainPutPayload\nresult = client.put(\"/v2/zimbra/platform/{platformId}/domain/{domainId}\",\n\tchecksum = None, # Known checksum of the resource, allowing to prevent unwanted side effects (type: string)\n\ttargetSpec = None, # Target domain specification (type: zimbra.DomainPutTargetSpec)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: zimbra.DomainPutPayload\n$result = $ovh->put(\"/v2/zimbra/platform/{platformId}/domain/{domainId}\", array(\n\tchecksum => null, // Known checksum of the resource, allowing to prevent unwanted side effects (type: string)\n\ttargetSpec => null, // Target domain specification (type: zimbra.DomainPutTargetSpec)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/domain/edit","required":true}]}}}}
